Skip to main content
`Ctrl`+`K`

# numpy.char.rsplit

char.rsplit(a, sep=None, maxsplit=None)

  For each element in a, return a list of the words in the string, using sep as the delimiter string.

  Calls `str.rsplit` element-wise.

  Except for splitting from the right, `rsplit` behaves like `split`.

  Parameters:
    a array-like, with `StringDType`, `bytes_`, or `str_` dtype
    sep str or unicode, optional

      If sep is not specified or None, any whitespace string is a separator.

    maxsplit int, optional

      If maxsplit is given, at most maxsplit splits are done, the rightmost ones.

  Returns:
    out ndarray

      Array of list objects

  See also

  `str.rsplit`, `split`

  Examples

      >>> import numpy as np
      >>> a = np.array(['aAaAaA', 'abBABba'])
      >>> np.strings.rsplit(a, 'A')
      array([list(['a', 'a', 'a', '']),
             list(['abB', 'Bba'])], dtype=object)